mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true) To be added

Defines a set of flags that specifies the source or destination context for the stream during serialization.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.StreamingContextStates To be added

  Specifies that the serialized data can be transmitted to or received from any of the other contexts.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.StreamingContextStates To be added

  Specifies that the object graph is being cloned. Users can assume that the cloned graph will continue to exist within the same process and be safe to access handles or other references to unmanaged resources.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.StreamingContextStates To be added

  Specifies that the source or destination context is a different AppDomain. (For a description of AppDomains, see [<topic://cpconapplicationdomains>]).

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.StreamingContextStates To be added

  Specifies that the source or destination context is a different computer.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.StreamingContextStates To be added

  Specifies that the source or destination context is a different process on the same computer.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.StreamingContextStates To be added

  Specifies that the source or destination context is a file. Users can assume that files will last longer than the process that created them and not serialize objects in such a way that deserialization will require accessing any data from the current process.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.StreamingContextStates To be added

  Specifies that the serialization context is unknown.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.StreamingContextStates To be added

  Specifies that the source or destination context is a persisted store, which could include databases, files, or other backing stores. Users can assume that persisted data will last longer than the process that created the data and not serialize objects so that deserialization will require accessing any data from the current process.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.StreamingContextStates To be added

  Specifies that the data is remoted to a context in an unknown location. Users cannot make any assumptions whether this is on the same computer.